<div class="card pb-2">

  <div class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">
      <i class="ri-user-search-line title_icone "></i>  {{"BREADCRUMBS.PROSPECT_MANAGEMENT.PROSPECT_CONTOROL_VALIDATION"|translate}}</div>

      <button  mat-mini-fab class="menu-add ml-2   " aria-label="Example icon-button with a menu"
      (click)="redirect(1)">
      <mat-icon matTooltip="list des prospects" class="menu-add-icon menu-add-user"><i
              class="ri-list-unordered"></i></mat-icon>
  </button>

    </div>

<div class="card-body container-card">
  <div id="general-informations-body" class="collapse show">
    <div class="p-0">
      <!-- account pp -->
      <form *ngIf="accountType=='PP'" [formGroup]="accountPPFormGroup" autocomplete="off" class="mt-2">
 
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.INFOS'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'infos'"></app-card-toolbar>
      
        </div>

        <fieldset id="infos" class="border form collapse show ">
          <!-- 1 bloc -->
          <div class="row">
            <!-- CIVILITE -->
            <div class="col-md-3 line  mt-0">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.CIVILITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('civilite')?.value}}</div>
            </div>
            <!-- PRENOM -->
            <div class="col-md-3 line  mt-0">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.NOM'|translate}}</label>
              <div>{{accountPPFormGroup?.get('lastName')?.value}}</div>
            </div>
            <!-- NOM -->
            <div class="col-md-3 line  mt-0">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.PRENOM'|translate}}</label>
              <div>{{accountPPFormGroup?.get('firstName')?.value}}</div>
            </div>
            <!-- profession -->
            <div class="col-md-3 line  mt-0">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.PROFESSION'|translate}}</label>
              <div>{{accountPPFormGroup?.get('profession')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <!-- PI -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('pieceIdentite')?.value}}</div>
            </div>
            <!-- NumPi-->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.NUM_PI'|translate}}</label>
              <div>{{accountPPFormGroup?.get('numPi')?.value}}</div>
            </div>
            <!-- date d'experation pi -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.DATE_EXP_PI'|translate}}</label>
              <div>{{accountPPFormGroup?.get('dateExpPI')?.value}}</div>
            </div>
            <!-- SECTEUR -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('secteur')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <!-- code postal -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
              <div>{{accountPPFormGroup?.get('codePostale')?.value}}</div>
            </div>
            <!-- nationalite -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('nationality')?.value}}</div>
            </div>
            <!-- pays -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
              <div>{{accountPPFormGroup?.get('pays')?.value}}</div>
            </div>
            <!-- adress -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.ADRESSE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('address')?.value}}</div>
            </div>
          </div>
          <!-- 4 bloc -->
          <div class="row">
            <!--phone  -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.MOBILE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('mobile')?.value}}</div>
            </div>
            <!-- email -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.EMAIL'|translate}}</label>
              <div>{{accountPPFormGroup?.get('email')?.value}}</div>
            </div>
            <!-- COMPLET INFORMATION -->
            <!-- adress 2 -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.ADRESSE2'|translate}}</label>
              <div>{{accountPPFormGroup?.get('address2')?.value}}</div>
            </div>
            <!-- --mobile2 -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.MOBILE2'|translate}}</label>
              <div>{{accountPPFormGroup?.get('mobile2')?.value}}</div>
            </div>

          </div>
          <!-- 5 bloc -->
          <div class="row">
            <!-- date de naissance -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.DATE_NAIS'|translate}}</label>
              <div>{{accountPPFormGroup?.get('dateOfBirth')?.value}}</div>
            </div>
            <!-- nom pere -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.NOM_PERE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('fatherFullName')?.value}}</div>
            </div>
            <!-- --nom mere -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.NOM_MERE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('motherFullName')?.value}}</div>
            </div>
            <!-- --residence type -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.RESIDENCE_TYPE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('residenceCountry')?.value}}</div>
            </div>
          </div>
        </fieldset>
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.ACTIVITE'|translate}}</label>

          <app-card-toolbar [collapseTarget]="'activite'"></app-card-toolbar>
      
        </div>
        <fieldset id="activite" class="border form  collapse show ">
          <!-- 1 bloc -->
          <div class="row">
            <!-- capacite -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.CAPACITE_FINANC'|translate}}</label>
              <div>{{accountPPFormGroup?.get('capaciteFinanciere')?.value}}</div>
            </div>
            <!-- type produit -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.TYPE_PROD'|translate}}</label>
              <div>{{accountPPFormGroup?.get('typeProduit')?.value}}</div>
            </div>
            <!-- univert -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.UNIVERS_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
            <!-- instrument -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.INSTRU'|translate}}</label>
              <div>{{accountPPFormGroup?.get('secteurSouhaites')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <!-- origine fond -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.ORIGINE_FONDS'|translate}}</label>
              <div>{{accountPPFormGroup?.get('origineFonds')?.value}}</div>
            </div>
            <!-- profil inv -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.PROFIL_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('profilInvestissement')?.value}}</div>
            </div>
            <!-- placement -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.HORIZ_PLACEMENT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('horizonPlacement')?.value}}</div>
            </div>
            <!-- niveau invistisement -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.NIV_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('niveauInv')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <!-- objectif inv -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.OBJ_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('objectifInvestissement')?.value}}</div>
            </div>
            <!-- nationalite usa -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.NATIONALITE_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('nationaliteUSA')?.value}}</div>
            </div>
            <!-- compte usa -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.COMPTE_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('compteBancaireUSA')?.value}}</div>
            </div>
            <!-- adress usa -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.ADRESS_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('adresseUSA')?.value}}</div>
            </div>
          </div>
          <!-- 4 bloc -->
          <div class="row">
            <!-- green usa -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.GREEN_CARD_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('greenCardUSA')?.value}}</div>
            </div>
            <!-- fiscal usa -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.ID_FISCAL_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('idFiscalUSA')?.value}}</div>
            </div>
            <!-- tel usa -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.TEL_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('ligneTelephoneUSA')?.value}}</div>
            </div>
          </div>
        </fieldset>
      </form>
      <!-- end account pp -->

      <!-- account pm -->
      <form *ngIf="accountType=='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.INFOS'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'infos'"></app-card-toolbar>
      
        </div>
        <fieldset id="infos" class="form border collapse show ">
          <!-- bloc 1 -->
          <div class="row">
            <!-- raison social -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('socialReason')?.value}}</div>
            </div>
            <!-- form juridique -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.FORME_JURI'|translate}}</label>
              <div>{{accountPMFormGroup?.get('legalForm')?.value}}</div>
            </div>
            <!-- ICE -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.ICE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('ice')?.value}}</div>
            </div>
            <!-- pays -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
              <div>{{accountPMFormGroup?.get('pays')?.value}}</div>
            </div>
          </div>
          <!-- bloc 2 -->
          <div class="row">
            <!-- adress -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.ADRESSE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('address')?.value}}</div>
            </div>
            <!-- phone -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.PHONE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('phone')?.value}}</div>
            </div>
            <!-- fixe -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.FIXE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('fixe')?.value}}</div>
            </div>
            <!-- Email -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.EMAIL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('email')?.value}}</div>
            </div>
          </div>
          <!-- bloc 3 -->
          <div class="row">
            <!-- code postal -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('codePostale')?.value}}</div>
            </div>
            <!-- site -->
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.WEBSITE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('webSite')?.value}}</div>
            </div>
          </div>
        </fieldset>

        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.ACTIVITE'|translate}}</label>

          <app-card-toolbar [collapseTarget]="'activite'"></app-card-toolbar>
      
        </div>

        <fieldset id="activite" class="border form collapse show ">
          <!-- 1 bloc -->
          <div class="row">
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.CAPACITE_FINANC'|translate}}</label>
              <div>{{accountPMFormGroup?.get('capaciteFinanciere')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.SECT_ACTIVITE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('secActivite')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.TYPE_PROD'|translate}}</label>
              <div>{{accountPMFormGroup?.get('typeProduit')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.HORIZ_PLACEMENT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('horizonPlacement')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.UNIVERS_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.INSTRU'|translate}}</label>
              <div>{{accountPMFormGroup?.get('secteurSouhaites')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.NIV_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('niveauInv')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.UNIVERS_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.PROFIL_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('profilInvestissement')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.OBJ_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('objectifInvestissement')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label
                class="  font-weight-bold">{{'FIELD.COMPTE_PM.PAYS_RESIDENCE_FISCAL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('paysResidenceFiscale')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.COMPTE_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('compteBancaireUSA')?.value}}</div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.ADRESS_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('adresseUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.VILLE_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('villeFiscaleUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.ID_FISCAL_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('idFiscalUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.TEL_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('ligneTelephoneUSA')?.value}}</div>
            </div>
            <div class="col-md-3 line ">
              <label class="  font-weight-bold">{{'FIELD.COMPTE_PM.GIIN'|translate}}</label>
              <div>{{accountPMFormGroup?.get('giin')?.value}}</div>
            </div>
          </div>
        </fieldset>
      </form>
      <!-- end account pm -->

      <!-- START GED -->
      <form action="">
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.ATTACHEMENT'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'docs'"></app-card-toolbar>
      
        </div>
        <fieldset id="docs" class="form border collapse show ">

          <app-attachement [accountCode]="accountCode"></app-attachement>

        </fieldset>
      </form>

      <!-- END GED -->




      <!-- START WHATCH LIST -->
      <form action="">
        <div class="card-header ibox-bloc  d-flex justify-content-between">

          <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> {{'ACCOUNT_DETAILS.WATCHLIST.TITLE'|translate}}</label>
      
          <app-card-toolbar [collapseTarget]="'whatchList'"></app-card-toolbar>
      
        </div>
      
          <div id="whatchList" class="mb-2 collapse show  ">
            <app-data-table [settings]="settings" [items]="watchlistStatusList" [enableSearch]="false"
                            [enableFilterColumn]="false"></app-data-table>
          </div>
          
        
      </form>

      <!--  END WHATCH LIST -->
      

    <!-- start tabs -->
    <div class="card-header ibox-bloc  d-flex justify-content-between">

      <label class="w-auto legend left-and-right"><i class="ri-play-fill"></i> Autres</label>
  
      <app-card-toolbar [collapseTarget]="'autre'"></app-card-toolbar>
  
    </div>
    <div id="autre" class="row mt-0 collapse show ">
      <div class="col-12">
          <div class="">
              <div class=" pt-0 pb-2 px-0">
                  <ul class="nav nav-tabs mb-0 .nav-justified-custom" id="myTab-1" role="tablist">

                      <li class="nav-item">
                          <a class="nav-link" id="opportunite-tab" data-toggle="tab" href="#opportunite" role="tab" aria-controls="opportunite" aria-selected="false">{{'ACTIVITY_CONSULTATION.OPPORTUNITE_LIST'|translate}} <span class="badge">{{opportuniteListComponent?.opportuniteList?.length}}</span> </a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" id="contact-tab" data-toggle="tab" href="#contact" role="tab" aria-controls="contact" aria-selected="false">{{'ACTIVITY_CONSULTATION.CONTACT_LIST'|translate}} <span class="badge">{{contactListComponent?.contactsList?.length}}</span></a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link active" id="task-tab" data-toggle="tab" href="#task" role="tab" aria-controls="task" aria-selected="true">{{'ACTIVITY_CONSULTATION.TASK_LIST'|translate}}  <span  class="badge">{{taskListComponent?.taskList?.length}}</span></a>
                      </li>

                  </ul>
                  <div class="tab-content">
                      <div class="tab-pane fade show active" id="task" role="tabpanel" aria-labelledby="task-tab">
                          <div class="mt-0">
                              <app-task-list [filter]="taskFilter"  [globalFilter]="globalFilter"></app-task-list>
                          </div>
                      </div>
                      <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
                          <div class="mt-0">
                              <app-contact-list [isRecap]="true" [filter]="{filterBody: {accountCode:contactFilter?.accountCode, accountType: contactFilter?.accountType}}" ></app-contact-list>
                          </div>
                      </div>
                      <div class="tab-pane fade" id="opportunite" role="tabpanel" aria-labelledby="opportunite-tab">
                          <div class="mt-0">
                              <app-opportunite-list [filter]="opportuniteFilter"  [globalFilter]="globalFilter"></app-opportunite-list>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- end tabs -->
  <!-- buttons next/previos -->
  <div  class=" mt-3 mr-2">
    <button type="button" class="btn btn-primary btn-sm float-right" [disabled]="isStatutExport()"
            (click)="validate()">{{'FIELD.BUTTONS.EXPORT'|translate}}</button>

    <button [disabled]="disableRejectButton || isStatutExport()" type="button" class="btn btn-dark btn-sm float-right mr-3"
        (click)="reject()">{{'FIELD.BUTTONS.REJECT'|translate}}</button>
</div>
<!-- end buttons next/previos -->

    </div>

  </div>

</div>

</div>


<!-- Reject prospect Modal -->
<ng-template #templateReject>
  <div class="modal-header">
    <h4 class="modal-title pull-left small">{{'NOUVEAU_COMPTE.CONFIRM_REJECT'|translate}}</h4>
    <button type="button" class="close pull-right text-danger" aria-label="Close" (click)="confirmationModalRef.hide()">
      <span aria-hidden="true">×</span>
    </button>
  </div>

  <div class="modal-body">
    <div class="form-group">
      <label for="motif">Motif :</label>
      <textarea class="form-control" id="motif" rows="3" [(ngModel)]="motif"></textarea>
    </div>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-default btn-secondary" (click)="confirmationModalRef.hide();">{{'FIELD.BUTTONS.CANCEL'|translate}}</button>
    <button type="button" class="btn btn-default btn-primary" (click)="confirmationModalRef.hide(); confirmDelete($event)">{{'FIELD.BUTTONS.VALID'|translate}}</button>
  </div>
</ng-template>


<!-- export prospect Modal -->
<ng-template #templateExport>
  <div class="modal-body">
    <div class="text-danger">
      {{'ACCOUNT_DETAILS.INCIDENT.EXPORT_TEXT1'|translate}} n°{{accountCode}} {{'ACCOUNT_DETAILS.INCIDENT.EXPORT_TEXT2'|translate}} ?
    </div>
  </div>

  <div class="modal-footer">
    <button type="button" class="btn btn-default btn-secondary" (click)="confirmationModalRef.hide();">{{'FIELD.BUTTONS.CANCEL'|translate}}</button>
    <button type="button" class="btn btn-default btn-primary" (click)="confirmationModalRef.hide(); confirmExport($event)">{{'FIELD.BUTTONS.EXPORTE'|translate}}</button>
  </div>
</ng-template>

